var mountOrder = 1;
export function Updater(instance, vnode) {
    //防止用户在构造器生成JSX
    this._mountOrder = mountOrder++;
    this._instance = instance;
    this._pendingCallbacks = [];
    this._pendingStates = [];
    this._currentElement = vnode;
    this._lifeStage = 0; //判断生命周期
    this._hostNode = null;

}

Updater.prototype = {
    isMounted: function(){
        return !this._hostNode;
    }
};